package de.fraunhofer.iem.dataprovider.kpi.dto

import de.fraunhofer.iem.dataprovider.kpi.entity.KPIEntity
import de.fraunhofer.iem.dataprovider.kpi.enumeration.KpiKind
import de.fraunhofer.iem.dataprovider.toolRun.entity.ToolRunEntity
import java.sql.Timestamp
import java.time.Instant

data class RawValueKpiCreateDto(val kind: KpiKind, val score: Int) {
    fun toDbObject(toolRun: ToolRunEntity): KPIEntity {
        return KPIEntity(
            kind = this.kind,
            score = this.score,
            createdAt = Timestamp.from(Instant.now()),
            toolRunEntity = toolRun
        )
    }
}
